Product Support

What are ProcureLinx Pro™ System Requirements?

ProcureLinx Pro™ requires a computer with an internet connection and a modern Web Browser (e.g. Internet Explorer version 8 or higher, Firefox version 3 or higher, Opera, Safari, etc.) with cookies and JavaScript enabled. There’s nothing to install, no plugins, and no specific hardware or operating system requirements so long as the browser requirements can be met. You don’t need to upload anything to the software application, and your data is stored in the Cloud, on ProcureLinx Pro™ servers.